import {Component, Prop, h} from '@stencil/core';
import {CtaLinkButtonVariants} from '../../utils/utils';

@Component({
  tag: 'hy-banner',
  styleUrl: 'hy-banner.scss',
  shadow: true
})
export class HyBanner {
  @Prop() textTitle?: string;
  @Prop() textDescription: string = null;
  @Prop() url?: string;
  @Prop() scLabel?: string;
  @Prop() urlTitle?: string;

  render() {
    const hyBannerWrapperClass = ['hy-banner__info-container'].join(' ');
    const variant = CtaLinkButtonVariants.onBlueBkgd;

    return (
      <hy-box class="hy-banner" bg="brand-main-light" pt="4" pb="4">
        <div class={hyBannerWrapperClass}>
          <div class="hy-banner__info-container__title">{this.textTitle}</div>
          <div class="hy-banner__info-container__description">{this.textDescription}</div>
          <div class="hy-banner__info-container__link">
            <hy-cta-link-button
              link-content={this.urlTitle}
              sc-label={this.scLabel}
              url={this.url}
              is-external="false"
              variant={variant}
            />
          </div>
        </div>
      </hy-box>
    );
  }
}
